# WorkflowFailureDetails (dapr-sdk-parent 1.12.2 API)
declaration: package: io.dapr.workflows.client, class: WorkflowFailureDetails

Package io.dapr.workflows.client

# Class WorkflowFailureDetails

java.lang.Object
io.dapr.workflows.client.WorkflowFailureDetails

public class WorkflowFailureDetails extends Object
Represents a workflow failure details.

## Constructor Summary

Constructors
Constructor
Description
`WorkflowFailureDetails(com.microsoft.durabletask.FailureDetails failureDetails)`
Class constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getErrorMessage()`
Gets the error message.
`String`
`getErrorType()`
Gets the error type, which is the namespace-qualified exception type name.
`String`
`getStackTrace()`
Gets the stack trace.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WorkflowFailureDetails

public WorkflowFailureDetails(com.microsoft.durabletask.FailureDetails failureDetails)
Class constructor.

Parameters:
  `failureDetails` - failure Details

## Method Details

### getErrorType

public String getErrorType()
Gets the error type, which is the namespace-qualified exception type name.

Returns:
  the error type, which is the namespace-qualified exception type name

### getErrorMessage

public String getErrorMessage()
Gets the error message.

Returns:
  the error message

### getStackTrace

public String getStackTrace()
Gets the stack trace.

Returns:
  the stack trace

### toString

public String toString()

Overrides:
  `toString` in class `Object`